libkde4-4.14.38-7.1.x86_64.rpm


Advertisement

Description

libkde4 - KDE Base Libraries

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libkde4-4.14.38-7.1.x86_64.rpm
Package name libkde4
Package version 4.14.38
Package release 7.1
Package architecture x86_64
Package type rpm
Category System/GUI/KDE
Homepage http://www.kde.org
License LGPL-2.1-or-later
Maintainer -
Download size 6.44 MB
Installed size 26.69 MB
This package contains the basic packages of the K Desktop Environment.
It contains the necessary libraries for the KDE desktop.
This package is absolutely necessary for using graphical KDE
applications.

Alternatives

Package Version Architecture Repository
libkde4-4.14.38-61.17.x86_64.rpm 4.14.38 x86_64 KDE Applications 5
libkde4-4.14.38-61.17.i586.rpm 4.14.38 i586 KDE Applications 5
libkde4-4.14.38-7.1.i586.rpm 4.14.38 i586 openSUSE Oss
libkde4 - - -

Requires

Name Value
/sbin/ldconfig -
libICE.so.6()(64bit) -
libQt3Support.so.4()(64bit) -
libQtCore.so.4()(64bit) -
libQtDBus.so.4()(64bit) -
libQtDeclarative.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtNetwork.so.4()(64bit) -
libQtOpenGL.so.4()(64bit) -
libQtScript.so.4()(64bit) -
libQtSql.so.4()(64bit) -
libQtSvg.so.4()(64bit) -
libQtXml.so.4()(64bit) -
libSM.so.6()(64bit) -
libX11.so.6()(64bit) -
libXcursor.so.1()(64bit) -
libXext.so.6()(64bit) -
libXfixes.so.3()(64bit) -
libXrender.so.1()(64bit) -
libXtst.so.6()(64bit) -
libacl.so.1()(64bit) -
libacl.so.1(ACL_1.0)(64bit) -
libattica.so.0.4()(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libdbusmenu-qt.so.2()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgif.so.7()(64bit) -
libjpeg.so.8()(64bit) -
libjpeg.so.8(LIBJPEG_8.0)(64bit) -
libkdecore.so.5()(64bit) -
libkpty.so.4()(64bit) -
libksuseinstall.so.1()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.27)(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libpcre.so.1()(64bit) -
libphonon.so.4()(64bit) -
libpng16.so.16()(64bit) -
libpng16.so.16(PNG16_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libqt4-x11 >= 4.8.7
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libudev.so.1()(64bit) -
libudev.so.1(LIBUDEV_183)(64bit) -
libz.so.1()(64bit) -

Provides

Name Value
libkcmutils.so.4()(64bit) -
libkde3support.so.4()(64bit) -
libkde4 = 4.14.38-7.1
libkde4(x86-64) = 4.14.38-7.1
libkdeclarative.so.5()(64bit) -
libkdesu.so.5()(64bit) -
libkdeui.so.5()(64bit) -
libkdnssd.so.4()(64bit) -
libkemoticons.so.4()(64bit) -
libkfile.so.4()(64bit) -
libkhtml.so.5()(64bit) -
libkidletime.so.4()(64bit) -
libkimproxy.so.4()(64bit) -
libkio.so.5()(64bit) -
libkjs.so.4()(64bit) -
libkjsapi.so.4()(64bit) -
libkjsembed.so.4()(64bit) -
libkmediaplayer.so.4()(64bit) -
libknewstuff2.so.4()(64bit) -
libknewstuff3.so.4()(64bit) -
libknotifyconfig.so.4()(64bit) -
libkntlm.so.4()(64bit) -
libkparts.so.4()(64bit) -
libkprintutils.so.4()(64bit) -
libkrosscore.so.4()(64bit) -
libkrossui.so.4()(64bit) -
libktexteditor.so.4()(64bit) -
libkunitconversion.so.4()(64bit) -
libkunittest.so.4()(64bit) -
libkutils.so.4()(64bit) -
libplasma.so.3()(64bit) -
libsolid.so.4()(64bit) -
libthreadweaver.so.4()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libkde4-4.14.38-7.1.x86_64.rpm
Source Package kdelibs4-4.14.38-7.1.src.rpm

Install Howto

Install libkde4 rpm package:

# zypper install libkde4

Files

Path
/usr/lib64/libkcmutils.so.4
/usr/lib64/libkcmutils.so.4.14.38
/usr/lib64/libkde3support.so.4
/usr/lib64/libkde3support.so.4.14.38
/usr/lib64/libkdeclarative.so.5
/usr/lib64/libkdeclarative.so.5.14.38
/usr/lib64/libkdesu.so.5
/usr/lib64/libkdesu.so.5.14.38
/usr/lib64/libkdeui.so.5
/usr/lib64/libkdeui.so.5.14.38
/usr/lib64/libkdnssd.so.4
/usr/lib64/libkdnssd.so.4.14.38
/usr/lib64/libkemoticons.so.4
/usr/lib64/libkemoticons.so.4.14.38
/usr/lib64/libkfile.so.4
/usr/lib64/libkfile.so.4.14.38
/usr/lib64/libkhtml.so.5
/usr/lib64/libkhtml.so.5.14.38
/usr/lib64/libkidletime.so.4
/usr/lib64/libkidletime.so.4.14.38
/usr/lib64/libkimproxy.so.4
/usr/lib64/libkimproxy.so.4.14.38
/usr/lib64/libkio.so.5
/usr/lib64/libkio.so.5.14.38
/usr/lib64/libkjs.so.4
/usr/lib64/libkjs.so.4.14.38
/usr/lib64/libkjsapi.so.4
/usr/lib64/libkjsapi.so.4.14.38
/usr/lib64/libkjsembed.so.4
/usr/lib64/libkjsembed.so.4.14.38
/usr/lib64/libkmediaplayer.so.4
/usr/lib64/libkmediaplayer.so.4.14.38
/usr/lib64/libknewstuff2.so.4
/usr/lib64/libknewstuff2.so.4.14.38
/usr/lib64/libknewstuff3.so.4
/usr/lib64/libknewstuff3.so.4.14.38
/usr/lib64/libknotifyconfig.so.4
/usr/lib64/libknotifyconfig.so.4.14.38
/usr/lib64/libkntlm.so.4
/usr/lib64/libkntlm.so.4.14.38
/usr/lib64/libkparts.so.4
/usr/lib64/libkparts.so.4.14.38
/usr/lib64/libkprintutils.so.4
/usr/lib64/libkprintutils.so.4.14.38
/usr/lib64/libkrosscore.so.4
/usr/lib64/libkrosscore.so.4.14.38
/usr/lib64/libkrossui.so.4
/usr/lib64/libkrossui.so.4.14.38
/usr/lib64/libktexteditor.so.4
/usr/lib64/libktexteditor.so.4.14.38
/usr/lib64/libkunitconversion.so.4
/usr/lib64/libkunitconversion.so.4.14.38
/usr/lib64/libkunittest.so.4
/usr/lib64/libkunittest.so.4.14.38
/usr/lib64/libkutils.so.4
/usr/lib64/libkutils.so.4.14.38
/usr/lib64/libplasma.so.3
/usr/lib64/libplasma.so.3.0.0
/usr/lib64/libsolid.so.4
/usr/lib64/libsolid.so.4.14.38
/usr/lib64/libthreadweaver.so.4
/usr/lib64/libthreadweaver.so.4.14.38
/usr/share/licenses/libkde4/COPYING.LIB
/usr/share/locale/all_languages

Changelog

2019-02-07 - Luca Beltrame <lbeltrame@kde.org>
- Remove requirements on upower: it is long deprecated and there
is no longer a Qt4 based desktop to use it (boo#1124573)
2018-10-01 - Christophe Giboudeaux <christophe@krop.fr>
- Add 0001-Fix-the-smbclient-4.9-check.patch to fix the libsmbclient
symbols check in kdebase4-runtime.
- Run spec-cleaner.
2017-12-16 - fabian@ritter-vogt.de
- Do not build against QCA
2017-12-12 - wbauer@tmo.at
- Add 0001-Make-kssl-compile-against-OpenSSL-1.1.0.patch (backported
from KF5's kdelibs4support) to allow building with openSSL 1.1.0
2017-12-10 - dimstar@opensuse.org
- Escape the usage of %{VERSION} when calling out to rpm.
RPM 4.14 has %{VERSION} defined as 'the main packages version'.
2017-12-02 - fabian@ritter-vogt.de
- Add patch to not build against Qt4 WebKit:
* Skip-qtwebkit-parts.patch
* Vade retro satana
2017-11-09 - lbeltrame@kde.org
- Update to 4.14.38
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.08.3.php
- Changes since 4.14.37:
* Prepare for 4.14.38
2017-10-17 - wbauer@tmo.at
- Update to 17.08.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.08.2.php
- Changes since 4.14.35:
* Fix build with >=enchant-2
2017-08-11 - christophe@krop.fr
- Update to 17.08.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 4.14.34:
* Support SVG in Konqueror's about page
* [cmake]: De-duplicate "else" to fix build with cmake-3.9
2017-07-15 - lbeltrame@kde.org
- Update to 17.04.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.3.php
- Changes since 4.14.33:
* Prepare for 4.14.34

See Also

Package Description
libkde4-devel-4.14.38-7.1.i586.rpm KDE Base Libraries: Build Environment
libkde4-devel-4.14.38-7.1.x86_64.rpm KDE Base Libraries: Build Environment
libkdecoration2-devel-32bit-5.15.4-1.1.x86_64.rpm KDE's window decorations library (development package)
libkdecoration2-devel-5.15.4-1.1.i586.rpm KDE's window decorations library (development package)
libkdecoration2-devel-5.15.4-1.1.x86_64.rpm KDE's window decorations library (development package)
libkdecorations2-5-32bit-5.15.4-1.1.x86_64.rpm KDE's window decorations library
libkdecorations2-5-5.15.4-1.1.i586.rpm KDE's window decorations library
libkdecorations2-5-5.15.4-1.1.x86_64.rpm KDE's window decorations library
libkdecorations2-5-lang-5.15.4-1.1.noarch.rpm Translations for package libkdecoration2
libkdecorations2private6-32bit-5.15.4-1.1.x86_64.rpm KDE's window decorations library
libkdecorations2private6-5.15.4-1.1.i586.rpm KDE's window decorations library
libkdecorations2private6-5.15.4-1.1.x86_64.rpm KDE's window decorations library
libkdecore4-32bit-4.14.38-7.1.x86_64.rpm KDE Core Libraries
libkdecore4-4.14.38-7.1.i586.rpm KDE Core Libraries
libkdecore4-4.14.38-7.1.x86_64.rpm KDE Core Libraries
Advertisement
Advertisement